Bug 245098 - Cannot find useradd in chroot
Cannot find useradd in chroot
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mock (Show other bugs)
rawhide
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-20 22:22 EDT by David Nielsen
Modified: 2013-01-09 20:39 EST (History)
0 users

See Also:
Fixed In Version: mock-0.7.2-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-21 10:18:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Nielsen 2007-06-20 22:22:53 EDT
Description of problem:
Every time one attempts to build something in mock it complains that it cannot
find useradd in chroot.

init
clean
prep
This may take a while
Could not find useradd in chroot, maybe the install failed?
ending
done

This naturally makes reviewing new packages a bit hard not to mention mock
testing builds before sending them off to Koji.

Version-Release number of selected component (if applicable):
mock-0.7.1-1.fc8

How reproducible:
100%

Steps to Reproduce:
1. mock whatever.srpm
2. cry (optional)
  
Actual results:
Failure (yet with a deceptive report back that it's done)

Expected results:
Correct building in all it's mock glory.
Comment 1 Jesse Keating 2007-06-20 22:43:38 EDT
What is the version of mock that you're using?
Comment 2 David Nielsen 2007-06-21 00:04:37 EDT
Version-Release number of selected component (if applicable):
mock-0.7.1-1.fc8

I fetched 0.7.2 from Koji and that works.
Comment 3 Jesse Keating 2007-06-21 10:18:13 EDT
Ok.  We have 0.7.2 coming to Fedora 7 as well soon.

Note You need to log in before you can comment on or make changes to this bug.